Update flow definition - SuperAI Flows
Update flow definition
cURL
curl --request PUT \
--url https://flows.super.ai/api/flows/{flow_id}/definition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"definition": {}
}
'
Python
import requests
url = "https://flows.super.ai/api/flows/{flow_id}/definition"
payload = { "definition": {} }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({definition: {}})
};
fetch('https://flows.super.ai/api/flows/{flow_id}/definition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
{
"created_at": "2023-11-07T05:31:56Z",
"definition": {},
"display_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_latest": true,
"modified_by": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 2,
"description": "<string>",
"flow_executions_count": 0,
"settings": {
"reexecute_on_update": false,
"ttl": {}
},
"task_names": [
"<string>"
],
"validation_errors": [
{
"input": "<unknown>",
"loc": [
123
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"url": "<string>"
}
]
}
Authorizations
X-API-Key: API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Authorization: JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Path Parameters
- flow_id: string
required
Query Parameters
- include_ordered_task_names: boolean default:false
- include_validation_errors: boolean default:false
- include_dynamic_data: boolean default:false
- include_output_schemas: boolean default:false
- include_input_schema: boolean default:false
Response
- 200 - Flow definition successfully updated
- Represents a complete flow definition with metadata, execution statistics, and optional computed fields.